`timescale 1ns/1ps

module tb;

    GSR GSR(1'b1);

reg         clk_in;
reg         rstn;
wire        clk_out;

SSCPLL_Top u_SSCPLL_Top(
    .clkin  (clk_in             ),
    .rstn   (rstn               ),
    .clkout (clk_out            )
);

initial begin
    clk_in = 0;
    forever begin
        #10;
        clk_in = ~clk_in;
    end
end

initial begin
    rstn = 0;
    #100;
    rstn = 1;

    #100000;
    
    $finish;
end

initial begin
    $fsdbDumpfile("tb.fsdb");
    $fsdbDumpvars;
end

endmodule